### Method

# Clutter PipelineCache get_pipeline

#### Declaration [src]

    CoglPipeline*
    clutter_pipeline_cache_get_pipeline (
      ClutterPipelineCache* pipeline_cache,
      ClutterPipelineGroup group,
      int slot,
      ClutterColorState* source_color_state,
      ClutterColorState* target_color_state
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`group`

  Type: `ClutterPipelineGroup`

  No description available.

`slot`

  Type: `int`

  No description available.

`source_color_state`

  Type: `ClutterColorState`

  No description available.

  The data is owned by the caller of the method.

`target_color_state`

  Type: `ClutterColorState`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `CoglPipeline`

No description available.

The returned data is owned by the instance.